import { remote } from 'electron';
export const alert = (title, message, buttons = [], type = 'none') => {
  remote.dialog.showMessageBox(remote.getCurrentWindow(), {
    type,
    buttons: buttons.map(b => b.text),
    message: title,
    detail: message
  }).then(({
    response
  }) => {
    const button = buttons[response];

    if (button && button.onPress) {
      button.onPress();
    }
  });
};