"use strict";

exports.__esModule = true;
exports.alert = void 0;

var _electron = require("electron");

const alert = (title, message, buttons = [], type = 'none') => {
  _electron.remote.dialog.showMessageBox(_electron.remote.getCurrentWindow(), {
    type,
    buttons: buttons.map(b => b.text),
    message: title,
    detail: message
  }).then(({
    response
  }) => {
    const button = buttons[response];

    if (button && button.onPress) {
      button.onPress();
    }
  });
};

exports.alert = alert;